# qmake-File for AI

TEMPLATE      = app
QT           -= gui
QT           *= network
CONFIG       -= release debug_and_release release
CONFIG       *= qt console warn_on release
TARGET        = ai

HEADERS       = aimode.hh aiengine.hh
SOURCES       = aiengine.cpp main.cpp
TRANSLATIONS  = ai_de_DE.ts

INCLUDEPATH   = . \
                ../../../libtrace   \
                ../libplayer  \
                ../../../libparser  \
                ../libgamemap \
                ../../../libclient

LIBS         += -L../../../libtrace   \
                -L../libplayer  \
                -L../../../libparser  \
                -L../libgamemap \
                -L../../../libclient  \
                -L../libficl    \
                -lclient -lgamemap -lparser -lplayer -ltrace -lficl

# install
target.path = .
sources.files = $$SOURCES $$HEADERS
sources.path = .
INSTALLS += target sources

