# qmake-File for AI

TEMPLATE      = app
QT           -= gui
QT           *= network
CONFIG       -= release debug_and_release release
CONFIG       *= qt console warn_on release
TARGET        = ai

HEADERS       = ../../ai/aiengine.hh aiengine2.hh 
SOURCES       = ../../ai/aiengine.cpp aiengine2.cpp main.cpp
TRANSLATIONS  = ai_de_DE.ts

INCLUDEPATH   = . \
                ./libgraph \
                ../../ai \
                ../../libtrace   \
                ../../libplayer  \
                ../../libparser  \
                ../../libgamemap \
                ../../libclient

LIBS         += -L./libgraph/ \
                -L../../libtrace   \
                -L../../libplayer  \
                -L../../libparser  \
                -L../../libgamemap \
                -L../../libclient  \
                -lclient -lgamemap -lparser -lplayer -ltrace -lgraph

# install
target.path = .
sources.files = $$SOURCES $$HEADERS
sources.path = .
INSTALLS += target sources

